/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include <unistd.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef void *amd_comp_status_h;

typedef enum {
	AMD_CT_FRAME_COMP,
	AMD_CT_SERVICE_COMP,
} amd_comp_type_e;

amd_comp_status_h amd_comp_status_find(const char *comp_id);

amd_comp_status_h amd_comp_status_find_by_instance_id(const char *instance_id);

amd_comp_status_h amd_comp_status_find_by_window(int window);

pid_t amd_comp_status_get_pid(amd_comp_status_h h);

const char *amd_comp_status_get_comp_id(amd_comp_status_h h);

int amd_comp_status_set_leader_id(amd_comp_status_h h, const char *instance_id);

const char *amd_comp_status_get_leader_id(amd_comp_status_h h);

const char *amd_comp_status_get_instance_id(amd_comp_status_h h);

int amd_comp_status_get_comp_type(amd_comp_status_h h);

int amd_comp_status_get_status(amd_comp_status_h h);

int amd_comp_status_set_window(amd_comp_status_h h, int window);

#ifdef __cplusplus
}
#endif
