/*
 * Copyright (c) 2015 - 2017 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AMD_APP_COM_H__
#define __AMD_APP_COM_H__

#include <stdbool.h>
#include <unistd.h>
#include <sys/types.h>
#include <bundle.h>

int _app_com_broker_init(void);
int _app_com_broker_fini(void);
int _app_com_client_remove(int cpid);
int _app_com_join(const char *endpoint, int cpid, const char *filter,
		uid_t uid);
int _app_com_send(const char *endpoint, int cpid, bundle *envelope, uid_t uid);
const char *_app_com_get_privilege(const char *endpoint);
bool _app_com_endpoint_exists(const char *endpoint);

#endif /* __AMD_APP_COM_H__ */
