/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AMD_RECEIVER_H__
#define __AMD_RECEIVER_H__

#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef bool (*receiver_cb)(int fd, void *user_data);

int _receiver_set_handler(int fd, receiver_cb callback, void *user_data);

int _receiver_init(void);

void _receiver_fini(void);

#ifdef __cplusplus
}
#endif

#endif /* __AMD_RECEIVER_H__ */
