/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <aul_cmd.h>

#include "pending_job.h"

namespace component_manager {

PendingJob::PendingJob(std::unique_ptr<Request> req,
                       std::shared_ptr<RequestHandler> handler)
  : Job(std::string(aul_cmd_convert_to_string(req->GetCmd())), this),
    req_(std::move(req)),
    handler_(std::move(handler)) {
}

void PendingJob::OnJob() {
  handler_->Handle(req_);
}

}  // namespace component_manager
