/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef REQUEST_HANDLER_H_
#define REQUEST_HANDLER_H_

#include <string>
#include <memory>

#include "request.h"

namespace component_manager {

class RequestHandler {
 public:
  RequestHandler(int cmd, std::string name);
  virtual ~RequestHandler();

  RequestHandler(const RequestHandler& handler);
  RequestHandler& operator = (const RequestHandler& handler);
  RequestHandler(RequestHandler&& handler) noexcept;
  RequestHandler& operator = (RequestHandler&& handler) noexcept;

  virtual int Handle(std::unique_ptr<Request>& req);

  int GetCmd() const;
  std::string GetName();

 private:
  int cmd_;
  std::string name_;
};

}  // namespace component_manager

#endif  // REQUEST_HANDLER_H_
