/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#define _GNU_SOURCE
#include "amd_api.h"
#include "amd_comp_status.h"
#include "amd_api_comp_status.h"

EXPORT_API amd_comp_status_h amd_comp_status_find(const char *comp_id)
{
	return _comp_status_find(comp_id);
}

EXPORT_API int amd_comp_status_set_leader_id(amd_comp_status_h h,
		const char *instance_id)
{
	return _comp_status_set_leader_id(h, instance_id);
}


EXPORT_API const char *amd_comp_status_get_leader_id(amd_comp_status_h h)
{
	return _comp_status_get_leader_id(h);
}

EXPORT_API int amd_comp_status_set_window(amd_comp_status_h h, int window)
{
	return _comp_status_set_window(h, window);
}

EXPORT_API amd_comp_status_h amd_comp_status_find_by_instance_id(
		const char *instance_id)
{
	return _comp_status_find_by_instance_id(instance_id);
}

EXPORT_API amd_comp_status_h amd_comp_status_find_by_window(int window)
{
	return _comp_status_find_by_window(window);
}

EXPORT_API pid_t amd_comp_status_get_pid(amd_comp_status_h h)
{
	return _comp_status_get_pid(h);
}

EXPORT_API const char *amd_comp_status_get_comp_id(amd_comp_status_h h)
{
	return _comp_status_get_comp_id(h);
}

EXPORT_API const char *amd_comp_status_get_instance_id(amd_comp_status_h h)
{
	return _comp_status_get_instance_id(h);
}

EXPORT_API int amd_comp_status_get_comp_type(amd_comp_status_h h)
{
	return _comp_status_get_comp_type(h);
}

EXPORT_API int amd_comp_status_get_status(amd_comp_status_h h)
{
	return _comp_status_get_status(h);
}
