/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#define _GNU_SOURCE
#include "amd_api.h"
#include "amd_compinfo.h"
#include "amd_api_compinfo.h"

EXPORT_API amd_compinfo_h amd_compinfo_find(uid_t uid, const char *id)
{
	return _compinfo_find(uid, id);
}

EXPORT_API const char *amd_compinfo_get_value(amd_compinfo_h info,
		amd_compinfo_type type)
{
	return _compinfo_get_value(info, type);
}

EXPORT_API int amd_compinfo_foreach(uid_t uid, amd_compinfo_foreach_cb callback,
		void *user_data)
{
	return _compinfo_foreach(uid, callback, user_data);
}
