/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#define _GNU_SOURCE
#include <stdio.h>
#include <stdarg.h>

#include "amd_logger.h"
#include "amd_api_logger.h"
#include "amd_api.h"

EXPORT_API int amd_logger_create(const char *path, amd_logger_h *handle)
{
	return _logger_create(path, (logger_h *)handle);
}

EXPORT_API int amd_logger_destroy(amd_logger_h handle)
{
	return _logger_destroy(handle);
}

EXPORT_API int amd_logger_print(amd_logger_h handle, const char *tag,
		const char *format, ...)
{
	char format_buf[256];
	va_list ap;

	va_start(ap, format);
	vsnprintf(format_buf, sizeof(format_buf), format, ap);
	va_end(ap);

	return _logger_print(handle, tag, format_buf);
}
